Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040358
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-03-12 11:452019-03-28 14:56
ReporteralostaleView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision719179385778
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040358: use bind-parameters in ImportEntryManager

DescriptionUse bind-parameter for data type in ImportEntryManager.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0110378)
hgbot (developer)
2019-03-12 12:04

Repository: erp/devel/pi
Changeset: 71917938577881c46f262ae5ed5953b580daf423
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Mar 12 11:46:37 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/71917938577881c46f262ae5ed5953b580daf423 [^]

fixed issue 40358: use bind-parameters in ImportEntryManager for type of data

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0110379)
hgbot (developer)
2019-03-12 12:04

Repository: erp/devel/pi
Changeset: 92a2f9f50e21287328142c245879c207805d886b
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Mar 12 11:59:39 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/92a2f9f50e21287328142c245879c207805d886b [^]

related to issue 40358: code clean up

  * Query String is now constant
  * Write the full query without concatenating properties makes it more readable
  * Using scrollable as AutoCloseable

---
M src/org/openbravo/service/importprocess/ImportEntryManager.java
---
(0110574)
caristu (developer)
2019-03-22 10:01

Reviewed
(0110864)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test
(0110865)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-03-12 11:45 alostale New Issue
2019-03-12 11:45 alostale Assigned To => alostale
2019-03-12 11:45 alostale Modules => Core
2019-03-12 11:45 alostale Triggers an Emergency Pack => No
2019-03-12 11:45 alostale Relationship added blocks 0038136
2019-03-12 11:46 alostale Review Assigned To => caristu
2019-03-12 12:04 hgbot Checkin
2019-03-12 12:04 hgbot Note Added: 0110378
2019-03-12 12:04 hgbot Status new => resolved
2019-03-12 12:04 hgbot Resolution open => fixed
2019-03-12 12:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/71917938577881c46f262ae5ed5953b580daf423 [^]
2019-03-12 12:04 hgbot Checkin
2019-03-12 12:04 hgbot Note Added: 0110379
2019-03-22 10:01 caristu Note Added: 0110574
2019-03-22 10:01 caristu Status resolved => closed
2019-03-22 10:01 caristu Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110864
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110865


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker